Bug 223072 - CVE-2006-6939 Insecure use of temporary file in ed
CVE-2006-6939 Insecure use of temporary file in ed
Status: CLOSED DUPLICATE of bug 21470
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ed (Show other bugs)
4.4
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
http://www.frsirt.com/english/advisor...
impact=low,source=cve,reported=200701...
: Security
Depends On:
Blocks: CVE-2006-6939 223076
  Show dependency treegraph
 
Reported: 2007-01-17 14:34 EST by Lubomir Kundrak
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 14:14:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backported patch that corrects CVE-2006-6939 GNU ed insecure tmp file handling. (1.09 KB, patch)
2007-01-17 14:34 EST, Lubomir Kundrak
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2007-01-17 14:34:49 EST
Description of problem:

Version 0.3 of GNU ed replaced use of unsecure mktemp() followed
by fopen() in buf.c:open_sbuf() with tmpnam(). The former construction
is vulnerable to race condition, where a malicous user can create
the temporary file between two function calls, as they are non-atomic,
and then either read or write the contents of the file, or make it
a symbolic link to a file owned by the victim resulting in its overite.

Version-Release number of selected component (if applicable):

GNU ed 0.2, in RHEL{2.1,3,4,5} and FC{5,6}

How reproducible:

Time-dependent race condition, very unlikely.

Steps to Reproduce:
1. Attempt to guess the filename returned by mktemp() and attempt
create it while being schelduled between mktemp() and fopen() calls.
Comment 1 Lubomir Kundrak 2007-01-17 14:34:49 EST
Created attachment 145853 [details]
Backported patch that corrects CVE-2006-6939 GNU ed insecure tmp file handling.
Comment 3 Josh Bressers 2007-01-23 14:14:30 EST
This flaw is really CVE-2000-1137, which we fixed in 2000 via bug 21470.  I'm
marking this bug a dupe.

*** This bug has been marked as a duplicate of 21470 ***

Note You need to log in before you can comment on or make changes to this bug.